# Sample Makefile for TET's Java binding
# $Id: Makefile.sample.in,v 1.5 2010/07/22 10:44:56 rjs Exp $

JAVA_OPT = -d64
JAVA    = java -Djava.library.path=. -classpath TET.jar:. $(JAVA_OPT)
RM      = rm -f

TESTPROGS	= \
	dumper.class \
	extractor.class \
	fontfilter.class \
	get_attachments.class \
	glyphinfo.class \
	image_resources.class \
	tetml.class

.SUFFIXES:	.java .class

.java.class:
	-CLASSPATH=$$CLASSPATH:TET.jar:. javac $<


all: $(TESTPROGS)

test: all
	-$(JAVA) dumper FontReporter.pdf 
	-$(JAVA) extractor FontReporter.pdf FontReporter.txt
	-$(JAVA) fontfilter FontReporter.pdf 
	-$(JAVA) tetml FontReporter.pdf FontReporter.tetml
	-$(JAVA) get_attachments FontReporter.pdf attachments.txt
	-$(JAVA) glyphinfo FontReporter.pdf FontReporter.info.txt
	-$(JAVA) image_resources FontReporter.pdf

clean:
	$(RM) *.class
	$(RM) FontReporter.pdf dumper.txt FontReporter.txt fontfilter.txt
	$(RM) FontReporter.tetml FontReporter*.tif attachments.txt m.out
	$(RM) FontReporter.info.txt
